function InsertsEggs() {
    if (typeof(eggs) === "undefined") {
        return;
    }
    for (var i = 0; i < eggs.length - 1; i++) { //-1 coz dummyelement
        InsertEgg(eggs[i]);   
    }   
}
// Array.insert( index, value ) - Insert value at index, without overwriting existing keys
function insert(x, i, v) {
    x.splice(i, 0, v);
    return x;
}
function InsertEgg(egg) {
    //CHECK IF THE APP HAS A MENU ITEM
    if (typeof(egg.menu1eb) === "undefined" || egg.menu1eb === "") {
        return; // No MenuItem for this Egg
    }
    var title = "";
    if (CurrentLanguage === "de") {
        title = egg.titleDE;
    }
    else {
        title = egg.titleEN;
    }
    //ADD MENU ITEM
    var obj = {"href": egg.href,
        "content": title
        };
    if (egg.id) {
        obj.id = egg.id;
    }
    if (egg.target) {
        obj.target = egg.target;
    }    
    menu[2].sub = insert(menu[2].sub, -1, obj);
    if (typeof(egg.entries) !== "undefined") {
        for (var i in egg.entries) {
            if (i in Array.prototype)
                continue;
            InsertEgg(egg.entries[i]);
        }
    }
}

